#include <Garbage/SQLite.hpp>

using namespace Garbage::SQLite;

struct User
{
    std::int64_t Id;
    std::string Username;
    std::string Email;
    std::string PasswordHash;
};

Database db(
    "UserDb",
    Table(
        "Users",
        Column(&User::Id, "Id", ColumnFlags::PrimaryKey),
        Column(&User::Username, "Username", ColumnFlags::Unique),
        Column(&User::Email, "Email", ColumnFlags::Unique),
        Column(&User::PasswordHash, "PasswordHash")
    )
);

int main() {
    User u {
        .Id = 25,
        .Username = "noob",
        .Email = "noob@noob.io",
        .PasswordHash = "ASDASDASDASDASDA",
    };

    Connection c(db, "Test.db");
    c.Create();
    c.Insert(u);
}
